package com.ag.algroithm.data;


public class CntrProerty {


    private int row; //行
    private int chant;//呗 理解为列
    private int floor; //层

    private int direct;//方向

    public int getDirect() {
        return direct;
    }

    public void setDirect(int direct) {
        this.direct = direct;
    }

    public String getCntrno() {
        return cntrno;
    }

    public void setCntrno(String cntrno) {
        this.cntrno = cntrno;
    }

    private String cntrno;
    private int pathLength;//路径长度

    private String isOcclusion;//有无遮挡

    public int getRow() {
        return row;
    }

    public void setRow(int row) {
        this.row = row;
    }

    public int getChant() {
        return chant;
    }

    public void setChant(int chant) {
        this.chant = chant;
    }

    public int getFloor() {
        return floor;
    }

    public void setFloor(int floor) {
        this.floor = floor;
    }

    public int getPathLength() {
        return this.row + this.floor - 1;
    }

    public void setPathLength(int pathLength) {
        this.pathLength = pathLength;
    }

    public String getIsOcclusion() {
        return isOcclusion;
    }

    public void setIsOcclusion(String isOcclusion) {
        this.isOcclusion = isOcclusion;
    }
}